=== debian/changelog ===
vbaexpress (1.2-0ubuntu7) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:48 +0100

vbaexpress (1.2-0ubuntu6) yakkety; urgency=medium

  * Change libpng12-dev to libpng-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Apr 2016 15:36:01 +0200

vbaexpress (1.2-0ubuntu5) raring; urgency=low

  * debian/patches/01_MakefileFlags.dpatch: Use pkg-config to pull in -lX11 as
    well, which fixes the underlinking FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Apr 2013 15:59:45 -0400

vbaexpress (1.2-0ubuntu4) precise; urgency=low

  * Fix FTBFS with -Werror=format-security.
  * Install binary into /usr/games.
  * Build-depend on default libjpeg-dev.
  * Update desktop.patch.
  * Use source format 3.0 (quilt).
  * Use debhelper 7.
  * Move Homepage in debian/control to its own field.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Wed, 04 Jan 2012 12:20:43 +0400

vbaexpress (1.2-0ubuntu3) gutsy; urgency=low

  * misc/make_readme.sh: remove bashism (fix FTBFS)
  * debian/patches/01_MakefileFlags.dpatch: updated to use --ldflags
    instead of --ldstaticflags
  * Build-Depends on libjpeg62-dev, libpng12-dev, zlib1g-dev
  * Update Standards-Version (no changes needed)

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Sat, 29 Sep 2007 15:35:48 +0200

vbaexpress (1.2-0ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:11:01 +0000

vbaexpress (1.2-0ubuntu1) dapper; urgency=low

  * Initial release
  * 01_MakefileFlags.dpatch: Use flags to build without FLU
  * 02_desktop.dpatch: Update .desktop file with Free Desktop standards

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Mon, 30 Jan 2006 18:06:50 +0100
