=== debian/control ===
Source: vbaexpress
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gauvain Pocentek <gauvainpocentek@ubuntu.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 libfltk1.1-dev,
 libxpm-dev,
 libsdl1.2-dev,
 libjpeg-dev,
 libpng-dev,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://vbaexpress.tuxfamily.org

Package: vbaexpress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, visualboyadvance
Description: Front-End for VisualBoyAdvance
 Vbaexpress is a front-end for the VisualBoyAdvance
 Game Boy emulator. You can easily configure the emulator
 and start your games by clicking on some icons (rather
 than using a command line).
