=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=$(CURDIR)/debian/tmp/usr

%:
	dh $@

override_dh_installchangelogs:	
	dh_installchangelogs CHANGELOG.txt
